[![Python](https://img.shields.io/badge/python-3.6%20%7C%203.7%20%7C%203.8-blue?style=plastic)](https://www.python.org/)
[![PyPI](https://img.shields.io/badge/pypi_package-1.0.8-blue?style=plastic)](https://pypi.org/project/skrobot/1.0.8/)
[![License](https://img.shields.io/badge/license-MIT-blue?style=plastic)](https://github.com/medoidai/skrobot/blob/master/LICENSE.txt)
[![Documentation Status](https://readthedocs.org/projects/skrobot/badge/?version=1.0.8)](https://skrobot.readthedocs.io/en/1.0.8/)

-----------------

[![skrobot logo](https://github.com/medoidai/skrobot/raw/master/static/skrobot-logo.png)](https://github.com/medoidai/skrobot/raw/master/static/skrobot-logo.png)

-----------------

# skrobot

### What is it about?

skrobot is a Python module for designing, running and tracking Machine Learning experiments / tasks. It is built on top of [scikit-learn](https://scikit-learn.org/) framework.

### Documentation?

The documentation is hosted online to [Read the Docs](https://skrobot.readthedocs.io/en/1.0.8/).

### How do I install it?

#### PyPI

```sh
$ pip install skrobot
```

#### Development Version

The skrobot version on PyPI may always be one step behind; you can install the latest development version from the GitHub repository by executing

```sh
$ pip install git+git://github.com/medoidai/skrobot.git
```

Or, you can clone the GitHub repository and install skrobot from your local drive via

```sh
$ python setup.py install
```

### Next Priorities?

* Add support in the module for multiclass problems

* Build some notifiers (e.g., Slack, Trello and Discord)

* Add a new task for automatic feature synthesis

### Can I contribute?

Of course, the project is [Free Software](https://www.gnu.org/philosophy/free-sw.en.html) and you can contribute to it!

### What license do you use?

See our license ([LICENSE.txt](https://github.com/medoidai/skrobot/blob/master/LICENSE.txt)) for more details.

**Thank you!**